



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>MongoDB添加用户</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">MongoDB添加用户</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-20 21:36:32 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>1、添加超级管理员用户</p>
<p>　　1）切换到admin数据库</p>
<div>
<pre class="prettyprint linenums">&gt;use admin</pre>
</div>
<p>　　2）添加管理员用户</p>
<div>
<p>　&gt;db.addUser("admin","admin")</p>
</div>
<p>　　添加了一个叫admin的用户，密码是admin。拥有对任意数据库的所有权限</p>
<p>　　3）查看已添加的用户</p>
<div>
<pre class="prettyprint linenums">&gt;db.system.users.find()</pre>
</div>
<div>
<pre class="prettyprint linenums">{ "_id" : ObjectId("528c24eb30c8aafadfc15f60"), "user" : "admin", "readOnly" : false, "pwd" : "7c67ef13bbd4cae106d959320af3f704" }</pre>
</div>
<p>2、添加普通用户</p>
<p>　　1）切换到普通数据库mydb</p>
<div>
<pre class="prettyprint linenums">&gt;use mydb  </pre>
</div>
<p>　　2）添加一个用户，只给予读权限</p>
<div>
<pre class="prettyprint linenums">db.addUser(<br />
    {<br />
        user:"lihuai",<br />
        pwd:"",<br />
        roles:["read"]<br />
    }<br />
)    </pre>
</div>
<p>　　3)添加一个用户，作为mydb数据库的管理员</p>
<div>
<pre class="prettyprint linenums">db.addUser("heyman","123456")</pre>
</div>
<p>　　4）以认证方式启动mongodb</p>
<div>
<pre class="prettyprint linenums">[mongodb@localhost bin]$ ./mongod --dbpath=/home/mongodb/data --logpath=/home/mongodb/logs/mongodb.log --auth --fork</pre>
</div>
<p>　　5）以用户lihuai登录mydb</p>
<div>
<pre class="prettyprint linenums">[mongodb@localhost bin]$ ./mongo 127.0.0.1:27017/mydb -ulihuai -p123456</pre>
</div>
<p>　　发现可以查询，但是写入的时候会提示</p>
<div>
<pre class="prettyprint linenums">&gt; db.users.insert({name:"zhangsan",age:30})<br />
not authorized for insert on mydb.users<br />
&gt;</pre>
</div>
<p>　　6）以管理员heyman登录mydb，可以对mydb数据库进行读写操作，但不能对其他数据库进行任何操作</p>
<p>　　7）超级管理员admin需登录到admin数据库后，再切换到其他数据库进行任何操作</p>
<div>
<pre class="prettyprint linenums">[mongodb@localhost bin]$ ./mongo 127.0.0.1:27017/admin -uadmin -padmin<br />
MongoDB shell version: 2.4.8<br />
connecting to: 127.0.0.1:27017/admin<br />
&gt; use mydb<br />
switched to db mydb<br />
&gt; </pre>
</div>
<p>　　虽然是超级管理员，但是admin不能直接登录其他数据库</p>
<div>
<pre class="prettyprint linenums">[mongodb@localhost bin]$ ./mongo 127.0.0.1:27017/mydb -uadmin -padmin<br />
MongoDB shell version: 2.4.8<br />
connecting to: 127.0.0.1:27017/mydb<br />
Wed Nov 20 11:22:26.916 Error: 18 { code: 18, ok: 0.0, errmsg: "auth fails" } at src/mongo/shell/db.js:228<br />
exception: login failed<br />
[mongodb@localhost bin]$ </pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8o55z59.html">Struts2标签之Checkbox</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvrodx8.html">Quant的笑话</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zl3zvq.html">ab 性能测试工具的使用（Web并发测试）</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyoe028.html">spring boot 自动部署方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p0nlkq.html">PHP基本知识</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd6nydq.html">解决svn &OpenCurlyDoubleQuote;clean up&amp;quot&semi; 失败</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdvov48.html">CSS的优先级</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x55vg9.html">UIWebViewでローカルにあるHTMLを表示する&amp;amp&semi;iOS6からtextAlignmentで指定する値が変更になった</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjl1wy8.html">XML 树结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z7j3j9.html">在MyEclipse中运行tomcat报错 严重&colon; Error starting static Resources</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljnkxk9.html">S3C2440的SPI解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yg5n08.html">This package contains sshd&comma; pcal&comma; mysql-client on Ubuntu14&colon;04</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kojw49.html">C语言函数嵌套调用作业总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gewv508.html">通用权限管理系统之权限菜单zTree树的展示及移动的处理方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd26gv9.html">百度地图和高德地图结合在web中的使用（二）</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wvn6rq.html">ae&colon;org&period;apache&period;shiro&period;authc&period;AuthenticationException&colon; Authentication token of type &lbrack;class org&period;apache&period;shiro&period;authc&period;UsernamePasswordToken&rsqb; could not be authenticated by any configured realms&period;  Please ensure</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll224xq.html">ARMV8 datasheet学习笔记4：AArch64系统级体系结构之存储模型</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2543x3q.html">【Python】多进程2</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv70nk8.html">软件架构设计学习总结（1）：标准Web系统的架构分层</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2g7ro9.html">如何让企业邮箱更安全之gmail yahoo hotmail 反垃圾邮件机制</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1417e9.html">C&num;判断文件及文件夹是否存在并创建&lpar;C&num;判断文件夹存在&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmljo19.html">JAVA：借用OpenOffice将上传的Word文档转换成Html格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1jpm59.html">DMALL刘江峰：生鲜市场具有巨大O2O改造空间</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdewwmv9.html">用java给html文件添加必要的控制html代码片</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1yrov9.html">【jdbcTemplate】使用jdbcTemplate查询的三种回调</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mn2wmrq.html">SVN并行开发管理策略</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmlkp19.html">在html中添加缩放meta</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zrle59.html">黄聪：WordPress 函数：apply&lowbar;filters&lpar;&rpar;（创建过滤器）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjwgmy9.html">TCP非阻塞通信</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4yj77eq.html">RAC&lowbar;Oracle集群服务安装前期准备Prepare（案例）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
